com.independentsoft.exchange

## Class SearchFolderParameters

- java.lang.Object
- - com.independentsoft.exchange.Folder
  - - com.independentsoft.exchange.SearchFolderParameters

-     public class SearchFolderParameters
      extends Folder

  Represents a search folder that is contained in a mailbox.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchFolderParameters()` Initializes a new instance of the SearchFolder class.
    `SearchFolderParameters(java.util.List<FolderId> folderIds)`
    `SearchFolderParameters(java.util.List<FolderId> folderIds, Restriction restriction)`
    `SearchFolderParameters(java.util.List<FolderId> folderIds, Restriction restriction, SearchFolderTraversal traversal)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<FolderId>` | `getFolderIds()`
    `Restriction` | `getRestriction()`
    `SearchFolderTraversal` | `getTraversal()`
    `void` | `setRestriction(Restriction restriction)`
    `void` | `setTraversal(SearchFolderTraversal traversal)`
    `java.lang.String` | `toString()` Converts the value of the current SearchFolder object to its equivalent string representation.

    - ### Methods inherited from class com.independentsoft.exchange.Folder

      `getArchiveTag, getChildFolderCount, getComment, getCreationTime, getDisplayName, getEffectiveRights, getEntryId, getExtendedProperties, getFolderClass, getFolderId, getLastModifiedTime, getManagedFolderInformation, getParentId, getPermissionSet, getRetentionTag, getSearchKey, getSize, getStandardFolder, getTotalCount, getUnreadCount, hasSubFolders, isHidden, isReadOnly, isSystem, setComment, setDisplayName, setFolderClass, setIsHidden, setPermissionSet`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchFolderParameters

          public SearchFolderParameters()

      Initializes a new instance of the SearchFolder class.

    - #### SearchFolderParameters

          public SearchFolderParameters(java.util.List<FolderId> folderIds)

    - #### SearchFolderParameters

          public SearchFolderParameters(java.util.List<FolderId> folderIds,
                                        Restriction restriction)

    - #### SearchFolderParameters

          public SearchFolderParameters(java.util.List<FolderId> folderIds,
                                        Restriction restriction,
                                        SearchFolderTraversal traversal)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current SearchFolder object to its equivalent string representation.
      Overrides:
        `toString` in class `Folder`
      Returns:
        the string

    - #### getFolderIds

          public java.util.List<FolderId> getFolderIds()

    - #### getRestriction

          public Restriction getRestriction()

    - #### setRestriction

          public void setRestriction(Restriction restriction)

    - #### getTraversal

          public SearchFolderTraversal getTraversal()

    - #### setTraversal

          public void setTraversal(SearchFolderTraversal traversal)